<div th:replace="@{Lensa/Layout/Top}"></div>

<body id="page-top">
  <!-- Page Wrapper -->
  <div id="wrapper">
    <div th:replace="@{Lensa/Layout/Sidebar}"></div>

    <!-- Content Wrapper -->
    <div id="content-wrapper" class="d-flex flex-column">
      <!-- Main Content -->
      <div id="content">
        <div th:replace="@{Lensa/Layout/Topbar}"></div>

        <!-- Begin Page Content -->
        <div class="container-fluid">
          <!-- Page Heading -->
          <h1 class="h3 mb-2 text-gray-800">Data Box</h1>

          <div th:replace="@{Lensa/Layout/ErrorAllert}"></div>

          <!-- TOMBOL -->

          <script>
            $(document).ready(function () {
              // Append table with add row form on add new button click
              $(document).on("click", "#btnSearch", function () {
                holder = $("#inputSearch").val();
                window.location.href = "/box/" + holder;
              });
            });
          </script>

          <div class="text-start w-50">
            <div class="row">
              <div class="col">
                <div class="input-group mb-3">
                  <input
                    type="text"
                    class="form-control"
                    placeholder="Nama Box.."
                    aria-label="Nama Box.."
                    aria-describedby="button-addon2"
                    id="inputSearch"
                    list="namaBox"
                    th:value="${Search != null ? Search : ''}"
                  />
                  <datalist id="namaBox">
                    <option
                      th:value="${box.NamaBox}"
                      th:each="box : ${DataNamaBox}"
                    ></option>
                  </datalist>

                  <button
                    class="btn btn-outline-secondary"
                    type="button"
                    id="btnSearch"
                  >
                    <i class="fa-solid fa-magnifying-glass"></i>
                  </button>
                </div>
              </div>
            </div>
          </div>

          <!-- TOMBOL TAMBAH DATA -->
          <!-- Button trigger modal -->
          <button
            type="button"
            class="btn btn-primary"
            data-bs-toggle="modal"
            data-bs-target="#exampleModal"
          >
            Tambah Data Box
          </button>

          <!-- Modal -->
          <div
            class="modal fade"
            id="exampleModal"
            tabindex="-1"
            aria-labelledby="exampleModalLabel"
            aria-hidden="true"
          >
            <div class="modal-dialog">
              <div class="modal-content">
                <div class="modal-header">
                  <h5 class="modal-title" id="exampleModalLabel">
                    Masukkan Data
                  </h5>
                  <button
                    type="button"
                    class="btn-close"
                    data-bs-dismiss="modal"
                    aria-label="Close"
                  ></button>
                </div>
                <div class="modal-body">
                  <!-- FORM TAMBAH DATA -->
                  <form th:action="@{/box/add}" method="post" id="addBox">
                    <div class="mb-3">
                      <label for="Nama" class="form-label">Nama Box</label>
                      <input
                        type="text"
                        class="form-control"
                        id="Nama"
                        name="NamaBox"
                        required
                      />
                    </div>
                    <div class="mb-3">
                      <label for="Jenis" class="form-label">Jenis Box</label>
                      <select
                        class="form-select"
                        aria-label="Default select example"
                        id="Jenis"
                        name="JenisBox"
                        required
                      >
                        <option selected>Open this select menu</option>
                        <option value="Default">Default</option>
                        <option value="Custom">Custom</option>
                      </select>
                    </div>
                    <div class="mb-3">
                      <label for="Stok" class="form-label">Stok Box</label>
                      <input
                        type="number"
                        class="form-control"
                        id="Stok"
                        name="StokBox"
                        required
                      />
                    </div>
                    <div class="mb-3 input-group.date">
                      <label for="TglMasuk" class="form-label"
                        >Tanggal Masuk Barang</label
                      >

                      <input
                        type="Date"
                        class="form-control addBoxDate"
                        id="TglMasuk"
                        name="TglMasuk"
                        th:max="${#dates.format(#dates.createNow(), 'YYYY-MM-dd')}"
                        th:value="${#dates.format(#dates.createNow(), 'YYYY-MM-dd')}"
                        required
                      />
                    </div>
                    <div class="mb-3">
                      <label for="Harga" class="form-label">Harga Box</label>
                      <input
                        type="text"
                        class="form-control"
                        id="Harga"
                        required
                        name="Harga"
                      />
                    </div>
                  </form>
                  <!-- FORM TAMBAH DATA -->
                </div>
                <div class="modal-footer">
                  <button
                    type="button"
                    class="btn btn-secondary"
                    data-bs-dismiss="modal"
                  >
                    Batal
                  </button>

                  <button
                    type="submit"
                    class="btn btn-primary DateHelper"
                    form="addBox"
                  >
                    Submit
                  </button>
                </div>
              </div>
            </div>
          </div>

          <script>
            $(document).ready(function () {
              $('[data-toggle="tooltip"]').tooltip();
              var actions = $("table td:last-child").html();
              // Append table with add row form on add new button click
              $(document).on("click", ".DateHelper", function () {
                $(".addBoxDate").attr("type", "text");
              });
            });
          </script>

          <div class="table-title mt-3">
            <div class="row">
              <div class="col-sm-6">
                <h2>Daftar <b>Box</b></h2>
              </div>
              <div class="col-sm-6">
                <div class="btn-group" data-toggle="buttons">
                  <label class="btn btn-info active">
                    <input
                      type="radio"
                      name="status"
                      value="all"
                      checked="checked"
                    />
                    All
                  </label>
                  <label class="btn btn-success">
                    <input type="radio" name="status" value="active" />
                    In Stock
                  </label>
                  <label class="btn btn-warning">
                    <input type="radio" name="status" value="inactive" />
                    Out Stock
                  </label>
                </div>
              </div>
            </div>
          </div>

          <div class="">
            <div class="table-responsive">
              <div
                class="table-wrapper mt-0"
                style="max-height: 500px; overflow: auto; display: inline-block"
              >
                <script>
                  $(document).ready(function () {
                    $('[data-toggle="tooltip"]').tooltip();
                    var actions = $("table td:last-child").html();
                    // Append table with add row form on add new button click
                    $(document).on("click", ".edit", function () {
                      holder = " ";
                      $(this)
                        .parents("tr")
                        .find("td:not(:last-child)")
                        .each(function () {
                          if ($(this).attr("id") == "id") {
                            holder = $(this).text();
                            $(this).html(
                              '<input type="hidden" class="form-control" value="' +
                                $(this).text() +
                                '" id="' +
                                $(this).attr("id") +
                                '" name="' +
                                $(this).attr("id") +
                                '" form="' +
                                holder +
                                '" readonly>'
                            );
                          } else if ($(this).attr("id") == "JenisBox") {
                            $(this).html(
                              '<select class="form-select" required name="JenisBox" id="JenisBox" form="' +
                                holder +
                                '">' +
                                '<option selected value="Default">Default</option>' +
                                '<option value="Custom">Custom</option>' +
                                "</select>"
                            );
                          } else if ($(this).attr("id") == "TglMasuk") {
                            $(this).html(
                              '<input type="date" class="form-control addBoxDate" value="' +
                                $(this).text() +
                                '" id="' +
                                $(this).attr("id") +
                                '" name="' +
                                $(this).attr("id") +
                                '" form="' +
                                holder +
                                '" max=' +
                                $("#TglMasuk").attr("max") +
                                " required>"
                            );
                          } else if ($(this).attr("id") == "Harga") {
                            $(this).html(
                              '<input type="number" class="form-control addBoxDate" value="' +
                                $(this)
                                  .text()
                                  .substring(0, $(this).text().length - 2)
                                  .replace(/\D/g, "") +
                                '" id="' +
                                $(this).attr("id") +
                                '" name="' +
                                $(this).attr("id") +
                                '" form="' +
                                holder +
                                '"required>'
                            );
                          } else if ($(this).attr("id") == "StokBox") {
                            $(this).html(
                              '<input type="number" class="form-control addBoxDate" value="' +
                                $(this).text() +
                                '" id="' +
                                $(this).attr("id") +
                                '" name="' +
                                $(this).attr("id") +
                                '" form="' +
                                holder +
                                '"required>'
                            );
                          } else {
                            $(this).html(
                              '<input type="text" class="form-control" value="' +
                                $(this).text() +
                                '" id="' +
                                $(this).attr("id") +
                                '" name="' +
                                $(this).attr("id") +
                                '" form="' +
                                holder +
                                '"required >'
                            );
                          }
                        });
                      $(this).parents("tr").find(".add, .edit").toggle();
                      // $(".add-new").attr("disabled", "disabled");
                      //   $(this).parents("tr").find("form").attr("action","/api/Mahasiswa/update");
                    });
                  });
                </script>

                <table class="table table-striped table-hover tableFixHead">
                  <thead>
                    <tr>
                      <th>Nama Box</th>
                      <th>Jenis Box</th>
                      <th>Stok</th>
                      <th>Tanggal Masuk Barang</th>
                      <th>Harga/Item</th>
                      <th>Aksi</th>
                    </tr>
                  </thead>
                  <tbody>
                    <div th:each="box : ${DataBox}">
                      <tr
                        th:data-status="${box.StokBox}==0 ? 'inactive' : 'active'"
                      >
                        <form
                          th:action="@{/box/update}"
                          method="post"
                          th:id="${box.id}"
                        ></form>
                        <td th:text="${box.id}" id="id" class="d-none"></td>
                        <td th:text="${box.NamaBox}" id="NamaBox"></td>
                        <td th:text="${box.JenisBox}" id="JenisBox"></td>
                        <td th:text="${box.StokBox}" id="StokBox"></td>
                        <td th:text="${box.TglMasuk}" id="TglMasuk"></td>
                        <td
                          th:text="'Rp'+${#numbers.formatDecimal(box.Harga, 0, 'POINT', 2, 'COMMA')}"
                          id="Harga"
                        ></td>
                        <td>
                          <button
                            type="submit"
                            class="add DateHelper"
                            style="display: none"
                            title="Add"
                            th:form="${box.id}"
                          >
                            <i class="material-icons" th:form="${box.id}"
                              >&#xE03B;</i
                            >
                          </button>
                          <a title="Edit" class="btn btn-sm manage edit"
                            ><i class="fa-solid fa-pen-to-square"></i
                          ></a>
                        </td>
                      </tr>
                    </div>
                  </tbody>
                </table>
              </div>
            </div>
          </div>
        </div>
        <!-- /.container-fluid -->
      </div>
      <!-- End of Main Content -->

      <!-- Footer -->
      <footer class="sticky-footer bg-white">
        <div class="container my-auto">
          <div class="copyright text-center my-auto">
            <span>Copyright &copy; Your Website 2020</span>
          </div>
        </div>
      </footer>
      <!-- End of Footer -->
    </div>
    <!-- End of Content Wrapper -->
  </div>
  <!-- End of Page Wrapper -->

  <!-- Scroll to Top Button-->
  <a class="scroll-to-top rounded" href="#page-top">
    <i class="fas fa-angle-up"></i>
  </a>

  <!-- Logout Modal-->
  <div
    class="modal fade"
    id="logoutModal"
    tabindex="-1"
    role="dialog"
    aria-labelledby="exampleModalLabel"
    aria-hidden="true"
  >
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title" id="exampleModalLabel">Ready to Leave?</h5>
          <button
            class="close"
            type="button"
            data-dismiss="modal"
            aria-label="Close"
          >
            <span aria-hidden="true">×</span>
          </button>
        </div>
        <div class="modal-body">
          Select "Logout" below if you are ready to end your current session.
        </div>
        <div class="modal-footer">
          <button class="btn btn-secondary" type="button" data-dismiss="modal">
            Cancel
          </button>
          <a class="btn btn-primary" href="login.html">Logout</a>
        </div>
      </div>
    </div>
  </div>
</body>

<div th:replace="@{Lensa/Layout/Bottom}"></div>
